#include <libint2.h>
#include <HRRPart0bra0ket0fd.h>
#include <HRRPart0bra0ket0ff.h>
#include <HRRPart0bra0ket0fg.h>
#include <HRRPart0bra0ket0fh.h>
#include <HRRPart0bra0ket0fi.h>
#include <HRRPart0bra0ket0fp.h>
#include <HRRPart0bra0ket0gd.h>
#include <HRRPart0bra0ket0gf.h>
#include <HRRPart0bra0ket0gg.h>
#include <HRRPart0bra0ket0gh.h>
#include <HRRPart0bra0ket0gp.h>
#include <HRRPart0bra0ket0hd.h>
#include <HRRPart0bra0ket0hf.h>
#include <HRRPart0bra0ket0hg.h>
#include <HRRPart0bra0ket0hp.h>
#include <HRRPart0bra0ket0id.h>
#include <HRRPart0bra0ket0if.h>
#include <HRRPart0bra0ket0ip.h>
#include <HRRPart0bra0ket0kd.h>
#include <HRRPart0bra0ket0kp.h>
#include <HRRPart0bra0ket0lp.h>
#include <_elecpot_F_I_prereq.h>

#ifdef __cplusplus
extern "C" {
#endif
void _elecpot_F_I(const Libint_t* inteval) {

_libint2_static_api_bzero_short_(inteval->stack+0*1,210)
const int contrdepth = inteval->contrdepth;
#ifdef __INTEL_COMPILER
#pragma ivdep
#endif
for(int c = 0; c<contrdepth; c++) {
_elecpot_F_I_prereq(inteval+c, inteval->stack);
}

LIBINT2_REALTYPE*const  stack = inteval->stack;
{
const int hsi = 0;
{
const int lsi = 0;
{
const int vi = 0;
HRRPart0bra0ket0gp(inteval, &(inteval->stack[((hsi*45+490)*1+lsi)*1]), &(inteval->stack[((hsi*21+164)*1+lsi)*1]), &(inteval->stack[((hsi*15+185)*1+lsi)*1]),1);
HRRPart0bra0ket0hp(inteval, &(inteval->stack[((hsi*63+535)*1+lsi)*1]), &(inteval->stack[((hsi*28+136)*1+lsi)*1]), &(inteval->stack[((hsi*21+164)*1+lsi)*1]),1);
HRRPart0bra0ket0gd(inteval, &(inteval->stack[((hsi*90+598)*1+lsi)*1]), &(inteval->stack[((hsi*63+535)*1+lsi)*1]), &(inteval->stack[((hsi*45+490)*1+lsi)*1]),1);
HRRPart0bra0ket0ip(inteval, &(inteval->stack[((hsi*84+688)*1+lsi)*1]), &(inteval->stack[((hsi*36+100)*1+lsi)*1]), &(inteval->stack[((hsi*28+136)*1+lsi)*1]),1);
HRRPart0bra0ket0hd(inteval, &(inteval->stack[((hsi*126+772)*1+lsi)*1]), &(inteval->stack[((hsi*84+688)*1+lsi)*1]), &(inteval->stack[((hsi*63+535)*1+lsi)*1]),1);
HRRPart0bra0ket0gf(inteval, &(inteval->stack[((hsi*150+898)*1+lsi)*1]), &(inteval->stack[((hsi*126+772)*1+lsi)*1]), &(inteval->stack[((hsi*90+598)*1+lsi)*1]),1);
HRRPart0bra0ket0kp(inteval, &(inteval->stack[((hsi*108+1048)*1+lsi)*1]), &(inteval->stack[((hsi*45+55)*1+lsi)*1]), &(inteval->stack[((hsi*36+100)*1+lsi)*1]),1);
HRRPart0bra0ket0id(inteval, &(inteval->stack[((hsi*168+1156)*1+lsi)*1]), &(inteval->stack[((hsi*108+1048)*1+lsi)*1]), &(inteval->stack[((hsi*84+688)*1+lsi)*1]),1);
HRRPart0bra0ket0hf(inteval, &(inteval->stack[((hsi*210+1324)*1+lsi)*1]), &(inteval->stack[((hsi*168+1156)*1+lsi)*1]), &(inteval->stack[((hsi*126+772)*1+lsi)*1]),1);
HRRPart0bra0ket0gg(inteval, &(inteval->stack[((hsi*225+1534)*1+lsi)*1]), &(inteval->stack[((hsi*210+1324)*1+lsi)*1]), &(inteval->stack[((hsi*150+898)*1+lsi)*1]),1);
HRRPart0bra0ket0fp(inteval, &(inteval->stack[((hsi*30+688)*1+lsi)*1]), &(inteval->stack[((hsi*15+185)*1+lsi)*1]), &(inteval->stack[((hsi*10+200)*1+lsi)*1]),1);
HRRPart0bra0ket0fd(inteval, &(inteval->stack[((hsi*60+718)*1+lsi)*1]), &(inteval->stack[((hsi*45+490)*1+lsi)*1]), &(inteval->stack[((hsi*30+688)*1+lsi)*1]),1);
HRRPart0bra0ket0ff(inteval, &(inteval->stack[((hsi*100+778)*1+lsi)*1]), &(inteval->stack[((hsi*90+598)*1+lsi)*1]), &(inteval->stack[((hsi*60+718)*1+lsi)*1]),1);
HRRPart0bra0ket0fg(inteval, &(inteval->stack[((hsi*150+490)*1+lsi)*1]), &(inteval->stack[((hsi*150+898)*1+lsi)*1]), &(inteval->stack[((hsi*100+778)*1+lsi)*1]),1);
HRRPart0bra0ket0fh(inteval, &(inteval->stack[((hsi*210+640)*1+lsi)*1]), &(inteval->stack[((hsi*225+1534)*1+lsi)*1]), &(inteval->stack[((hsi*150+490)*1+lsi)*1]),1);
HRRPart0bra0ket0lp(inteval, &(inteval->stack[((hsi*135+850)*1+lsi)*1]), &(inteval->stack[((hsi*55+0)*1+lsi)*1]), &(inteval->stack[((hsi*45+55)*1+lsi)*1]),1);
HRRPart0bra0ket0kd(inteval, &(inteval->stack[((hsi*216+1759)*1+lsi)*1]), &(inteval->stack[((hsi*135+850)*1+lsi)*1]), &(inteval->stack[((hsi*108+1048)*1+lsi)*1]),1);
HRRPart0bra0ket0if(inteval, &(inteval->stack[((hsi*280+850)*1+lsi)*1]), &(inteval->stack[((hsi*216+1759)*1+lsi)*1]), &(inteval->stack[((hsi*168+1156)*1+lsi)*1]),1);
HRRPart0bra0ket0hg(inteval, &(inteval->stack[((hsi*315+1759)*1+lsi)*1]), &(inteval->stack[((hsi*280+850)*1+lsi)*1]), &(inteval->stack[((hsi*210+1324)*1+lsi)*1]),1);
HRRPart0bra0ket0gh(inteval, &(inteval->stack[((hsi*315+850)*1+lsi)*1]), &(inteval->stack[((hsi*315+1759)*1+lsi)*1]), &(inteval->stack[((hsi*225+1534)*1+lsi)*1]),1);
HRRPart0bra0ket0fi(inteval, &(inteval->stack[((hsi*280+210)*1+lsi)*1]), &(inteval->stack[((hsi*315+850)*1+lsi)*1]), &(inteval->stack[((hsi*210+640)*1+lsi)*1]),1);
}
}
}
const int hsi = 0;
const int lsi = 0;
const int vi = 0;
inteval->targets[0] = &(inteval->stack[((hsi*280+210)*1+lsi)*1]);
/** Number of flops = 0 */
}

#ifdef __cplusplus
};
#endif
